- Qt 5.5
- Qt3D Module
- C++ Classes
- QAspectFactory
- Qt 5.5.1 Reference Documentation

# QAspectFactory Class

(Qt3D::QAspectFactory)

- List of all members, including inherited members

## Public Types

typedef | CreateFunction

## Public Functions

| QAspectFactory()
| QAspectFactory(const QAspectFactory & other)
| ~QAspectFactory()
void | addFactory(const QString & name, CreateFunction factory)
QStringList | availableFactories() const
QAbstractAspect * | createAspect(const QString & aspect, QObject * parent = 0) const
void | swap(QAspectFactory & other)
QAspectFactory & | operator=(const QAspectFactory & other)
QAspectFactory & | operator=(QAspectFactory && other)

## Static Public Members

QAbstractAspect * | functionHelper(QObject * parent)

## Member Type Documentation

### typedef QAspectFactory::CreateFunction

## Member Function Documentation

### QAspectFactory::QAspectFactory()

### QAspectFactory::QAspectFactory(const QAspectFactory & other)

### QAspectFactory::~QAspectFactory()

### void QAspectFactory::addFactory(const QString & name, CreateFunction factory)

### QStringList QAspectFactory::availableFactories() const

### QAbstractAspect * QAspectFactory::createAspect(const QString & aspect, QObject * parent = 0) const

### `[static]` QAbstractAspect * QAspectFactory::functionHelper(QObject * parent)

### void QAspectFactory::swap(QAspectFactory & other)

### QAspectFactory & QAspectFactory::operator=(const QAspectFactory & other)

### QAspectFactory & QAspectFactory::operator=(QAspectFactory && other)